###############################################################################
###############################################################################
##
##  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################
%define vers 1
%define rel 0-pre8

Name: dlm
Version: %vers
Release: %rel
License: GPL
Group: System Environment/Kernel
Summary: dlm - The Distributed Lock Manager
BuildRequires: dlm-kernheaders
Conflicts: GFS <= 6.0
Conflicts: GFS-modules
Requires: dlm-kernel >= 2.6.9
Requires: cman

Source0: %{name}-%{version}-%{release}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
dlm - The Distributed Lock Manager

%package devel
Group: Development/Libraries
Summary: dlm - The Distributed Lock Manager userland libraries

%description devel
dlm - The Distributed Lock Manager userland libraries

%prep
%setup -q -n %{name}-%{version}-%{release}

%build
./configure --libdir=%{_libdir} --incdir=%{_includedir} --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libdlm.so.%{version}-pre6
%{_libdir}/libdlm_lt.so.%{version}-pre6
%doc

%files devel
%defattr(-,root,root,-)
%{_includedir}/libdlm.h
%{_libdir}/libdlm.a
%{_libdir}/libdlm_lt.a

%doc

%changelog
* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)
* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)
* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com>
- add requires field
* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- various bug fixes (new upstream sources)
- no need for fpic patch
* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- add Makefile patch
* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- explicitly name lib file
* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.


